<?php

namespace App\Database\Migrations;

use CodeIgniter\Database\Migration;

class AddTeacherUserIdToSchedulesTable extends Migration
{
    public function up()
    {
        $this->forge->addColumn('schedules', [
            'teacher_user_id' => [
                'type'       => 'INT',
                'constraint' => 11,
                'unsigned'   => true,
                'null'       => true,
                'after'      => 'teacher_name',
            ],
        ]);
        $this->forge->addForeignKey('teacher_user_id', 'users', 'id', 'SET NULL', 'CASCADE', 'schedules_teacher_user_id_fk');
    }

    public function down()
    {
        $this->forge->dropForeignKey('schedules', 'schedules_teacher_user_id_fk');
        $this->forge->dropColumn('schedules', 'teacher_user_id');
    }
}
